org.jbpm.process.builder.dialect.java

## Class JavaReturnValueEvaluatorBuilder

- java.lang.Object
- - org.jbpm.process.builder.dialect.java.AbstractJavaProcessBuilder
  - - org.jbpm.process.builder.dialect.java.JavaReturnValueEvaluatorBuilder

- All Implemented Interfaces:
    ReturnValueEvaluatorBuilder

      public class JavaReturnValueEvaluatorBuilder
      extends AbstractJavaProcessBuilder
      implements ReturnValueEvaluatorBuilder

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.builder.dialect.java.AbstractJavaProcessBuilder

      `INVOKER_REGISTRY, RULE_REGISTRY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaReturnValueEvaluatorBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `build(org.drools.compiler.rule.builder.PackageBuildContext context, ReturnValueConstraintEvaluator constraintNode, org.drools.compiler.compiler.ReturnValueDescr descr, ContextResolver contextResolver)`
    `protected void` | `buildReturnValueEvaluator(org.drools.compiler.rule.builder.PackageBuildContext context, ReturnValueConstraintEvaluator constraintNode, org.drools.compiler.compiler.ReturnValueDescr descr, ContextResolver contextResolver, String className, org.drools.compiler.compiler.AnalysisResult analysis)`
    `protected org.drools.compiler.compiler.AnalysisResult` | `getAnalysis(org.drools.compiler.rule.builder.PackageBuildContext context, org.drools.compiler.compiler.ReturnValueDescr descr)`
    `protected String` | `getClassName(org.drools.compiler.rule.builder.PackageBuildContext context)`

    - ### Methods inherited from class org.jbpm.process.builder.dialect.java.AbstractJavaProcessBuilder

      `collectTypes, createVariableContext, createVariableContext, generateTemplates, getInvokerTemplateRegistry, getRuleTemplateRegistry`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaReturnValueEvaluatorBuilder

          public JavaReturnValueEvaluatorBuilder()

  - ### Method Detail

    - #### build

          public void build(org.drools.compiler.rule.builder.PackageBuildContext context,
                            ReturnValueConstraintEvaluator constraintNode,
                            org.drools.compiler.compiler.ReturnValueDescr descr,
                            ContextResolver contextResolver)

      Specified by:
        `build` in interface `ReturnValueEvaluatorBuilder`

    - #### getClassName

          protected String getClassName(org.drools.compiler.rule.builder.PackageBuildContext context)

    - #### getAnalysis

          protected org.drools.compiler.compiler.AnalysisResult getAnalysis(org.drools.compiler.rule.builder.PackageBuildContext context,
                                                                            org.drools.compiler.compiler.ReturnValueDescr descr)

    - #### buildReturnValueEvaluator

          protected void buildReturnValueEvaluator(org.drools.compiler.rule.builder.PackageBuildContext context,
                                                   ReturnValueConstraintEvaluator constraintNode,
                                                   org.drools.compiler.compiler.ReturnValueDescr descr,
                                                   ContextResolver contextResolver,
                                                   String className,
                                                   org.drools.compiler.compiler.AnalysisResult analysis)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.